## org.codehaus.groovy.grails.web.mapping
Class DefaultUrlMappingEvaluator.MappingCapturingClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingEvaluator.MappingCapturingClosure

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable, Cloneable, Runnable

Enclosing class:
  DefaultUrlMappingEvaluator

     class DefaultUrlMappingEvaluator.MappingCapturingClosure

extends groovy.lang.Closure

A Closure that captures a call to a method that accepts a single closure

Field Summary

Fields inherited from class groovy.lang.Closure
`DELEGATE_FIRST, DELEGATE_ONLY, DONE, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

Constructor Summary
`DefaultUrlMappingEvaluator.MappingCapturingClosure(Object o)`

Method Summary
`Object` `call(Object[] args)`
`groovy.lang.Closure` `getMappings()`

Methods inherited from class groovy.lang.Closure
`asWritable, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUrlMappingEvaluator.MappingCapturingClosure

    public DefaultUrlMappingEvaluator.MappingCapturingClosure(Object o)

Method Detail

### getMappings

    public groovy.lang.Closure getMappings()

### call

    public Object call(Object[] args)

  Overrides:
    `call` in class `groovy.lang.Closure`

Copyright (c) 2005-2009 The Grails project